/*Class name: IconImagelist
 *Namespace: DVM_Management_Center.Icons
 *Author: Benno Rott
 *Last change: Benno Rott
 *Changed: 21/02/2007
 *Use: Provides the integer Keys for the image-list
 */

using System;
using System.Collections.Generic;
using System.Text;

namespace DVM_Management_Center.Icons
{
    class IconImagelist
    {
        public const int SYNC_LOSS = 11;
        public const int NO_MONITORING = 3;
        public const int ANALYZER_DISCONNECT = 4;
        public const int NO_ALARM_CURRENT_WARNING = 6;
        public const int NO_ALARM_HISTORY_WARNING = 5;
        public const int NO_ALARM = 0;
        public const int CURRENT_ALARM_CURRENT_WARNING = 10;
        public const int CURRENT_ALARM_HISTORY_WARNING = 9;
        public const int CURRENT_ALARM = 2;
        public const int HISTORY_ALARM_CURRENT_WARNING = 8;
        public const int HISTORY_ALARM_HISTORY_WARNING = 7;
        public const int HISTORY_ALARM = 1;
        public const int SYNC_LOSS_HISTORY_WARNING = 12;
        public const int SYNC_LOSS_CURRENT_WARNING = 13;
        public const int OPENED_FOLDER = 20;
        public const int CLOSED_FOLDER = 19;
        public const int CLOSED_FOLDER_SYNC_LOSS_NO_MONITORING = 59;
        public const int CLOSED_FOLDER_CURRENT_WARNING_NO_MONITORING = 29;
        public const int CLOSED_FOLDER_CURRENT_ALARM = 46;
        public const int CLOSED_FOLDER_CURRENT_ALARM_CURRENT_WARNING = 48;
        public const int CLOSED_FOLDER_CURRENT_ALARM_HISTORY_WARNING = 47;
        public const int CLOSED_FOLDER_HISTORY_ALARM = 33;
        public const int CLOSED_FOLDER_HISTORY_ALARM_CURRENT_WARNING = 35;
        public const int CLOSED_FOLDER_HISTORY_ALARM_HISTORY_WARNING = 34;
        public const int CLOSED_FOLDER_NO_ALARM_NO_WARNING = 21;
        public const int CLOSED_FOLDER_NO_ALARM_CURRENT_WARNING = 23;
        public const int CLOSED_FOLDER_NO_ALARM_HISTORY_WARNING = 22;
        public const int CLOSED_FOLDER_DISCONNECT = 67;
        public const int CLOSED_FOLDER_SYNC_LOSS = 57;
        public const int CLOSED_FOLDER_NO_MONITORING = 66;
        public const int CLOSED_FOLDER_SYNC_LOSS_DISCONNECTED = 62;
        public const int CLOSED_FOLDER_NO_ALARM_CURRENT_WARNING_NO_MONITORING = 29;
        public const int CLOSED_FOLDER_NO_ALARM_HISTORY_WARNING_NO_MONITORING = 25;
        public const int CLOSED_FOLDER_SYNC_LOSS_CURRENT_WARNING = 70;
        public const int CLOSED_FOLDER_SYNC_LOSS_HISTORY_WARNING = 58;
        public const int CLOSED_FOLDER_SYNC_LOSS_CURRENT_WARNING_NO_MONITORING = 69;
        public const int CLOSED_FOLDER_SYNC_LOSS_HISTORY_WARNING_NO_MONITORING = 64;
        public const int CLOSED_FOLDER_CURRENT_ALARM_CURRENT_WARNING_NO_MONITORING = 51;
        public const int CLOSED_FOLDER_CURRENT_ALARM_HISTORY_WARNING_NO_MONITORING = 50;
        public const int CLOSED_FOLDER_HISTORY_ALARM_CURRENT_WARNING_NO_MONITORING = 39;
        public const int CLOSED_FOLDER_HISTORY_ALARM_HISTORY_WARNING_NO_MONITORING = 38;
        public const int CLOSED_FOLDER_NO_ALARM_HISTORY_WARNING_DISCONNECT = 28;
        public const int CLOSED_FOLDER_NO_ALARM_CURRENT_WARNING_DISCONNECT = 31;
        public const int CLOSED_FOLDER_CURRENT_ALARM_CURRENT_WARNING_DISCONNECT = 55;
        public const int CLOSED_FOLDER_CURRENT_ALARM_HISTORY_WARNING_DISCONNECT = 71;
        public const int CLOSED_FOLDER_HISTORY_ALARM_CURRENT_WARNING_DISCONNECT = 42;
        public const int CLOSED_FOLDER_HISTORY_ALARM_HISTORY_WARNING_DISCONNECT = 41;
        public const int CLOSED_FOLDER_SYNC_LOSS_CURRENT_WARNING_DISCONNECT = 68;
        public const int CLOSED_FOLDER_SYNC_LOSS_HISTORY_WARNING_DISCONNECT = 61;
        public const int CLOSED_FOLDER_SYNC_LOSS_DISCONNECTED_CURRENT_WARNING_NO_MONITORING = 65;
        public const int CLOSED_FOLDER_SYNC_LOSS_DISCONNECTED_HISTORY_WARNING_NO_MONITORING = 72;
        public const int CLOSED_FOLDER_CURRENT_ALARM_DISCONNECTED_CURRENT_WARNING_NO_MONITORING = 53;
        public const int CLOSED_FOLDER_CURRENT_ALARM_DISCONNECTED_HISTORY_WARNING_NO_MONITORING = 52;
        public const int CLOSED_FOLDER_HISTORY_ALARM_DISCONNECTED_CURRENT_WARNING_NO_MONITORING = 43;
        public const int CLOSED_FOLDER_HISTORY_ALARM_DISCONNECTED_HISTORY_WARNING_NO_MONITORING = 44;
        public const int CLOSED_FOLDER_NO_ALARM_DISCONNECTED_CURRENT_WARNING_NO_MONITORING = 32;
        public const int CLOSED_FOLDER_NO_ALARM_DISCONNECTED_HISTORY_WARNING_NO_MONITORING = 30;
        public const int CLOSED_FOLDER_SYNC_LOSS_NO_MONITORING_DISCONNECTED = 63;
        public const int CLOSED_FOLDER_CURRENT_ALARM_NO_MONITORING_DISCONNECTED = 56;
        public const int CLOSED_FOLDER_HISTORY_ALARM_NO_MONITORING_DISCONNECTED = 45;
        public const int CLOSED_FOLDER_NO_ALARM_NO_MONITORING_DISCONNECTED = 73;
        public const int CLOSED_FOLDER_CURRENT_ALARM_NO_MONITORING = 49;
        public const int CLOSED_FOLDER_HISTORY_ALARM_NO_MONITORING = 36;
        public const int CLOSED_FOLDER_NO_ALARM_NO_MONITORING = 24;
        public const int CLOSED_FOLDER_DISCONNECTED_NO_MONITORING = 67;
        public const int MAP_TS_SYNC = 74; 
        public const int MAP_CURRENT_ALARM = 16;
        public const int MAP_HISTORY_ALARM = 15;
        public const int MAP_NO_ALARM = 14;
        public const int MAP_CONNECTIVITY_LOSS = 18;
        public const int MAP_NO_MONITORING = 17;
    }
}
